Bug 446362 - Upgrade installs from Fedora 8,9,10 to 9,10,11 didn't install grub correctly
Upgrade installs from Fedora 8,9,10 to 9,10,11 didn't install grub correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
: 447323 448132 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 06:24 EDT by Stephen Cuppett
Modified: 2010-06-28 06:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Cuppett 2008-05-14 06:24:03 EDT
Description of problem:

Yesterday (5/13/2008) I upgraded a fully patched Fedora 8 x86_64 to Fedora 9
x86_64 via DVD image.  My partition scheme is:

/dev/sda - 500 GB
/dev/sda1 - ext2 - 100MB /boot
/dev/sda2 - ntfs - 499GB /mnt/windows
/dev/sdb - 500 GB
/dev/sdb1 - ext3 - 30GB /
/dev/sdb2 - LVM - 470GB /home

During the installation I was prompted to migrate the /boot (/dev/sda1)
partition to a newer filesystem.  (later I found out it just upgrades it to
ext3).  It was the only filesystem in the list.  I did select it.

When the installation completed, the disk popped out and I was prompted to
reboot.  Upon rebooting, I got a neverending stream of GRUB GRUB GRUB GRUB
across the screen scrolling, probably forever.

The workaround was to re-insert the disk, go into rescue mode, chroot into
/mnt/sysimage and then run "grub-install /dev/sda".  So I'm assuming it may have
erroneously picked /dev/sdb or something similar during install since my root
partition was there?

How reproducible:

Not sure.  I only did this upgrade once.

Steps to Reproduce:
1. Have an ext2 /boot partition on /dev/sda1
2. Have / and all other partitions on /dev/sdb
3. Attempt upgrade of Fedora 8 (x86_64 only?) to Fedora 9 and when prompted,
allow it to upgrade the filesystem.
  
Actual results:

Grub either doesn't run grub-install if already present so that it would pick up
the change to ext3 or it erroneously runs grub-install against /dev/sdb

Expected results:

Grub would continue to function without manual intervention after the install.
Additional info:
Comment 1 Andy Lindeberg 2008-06-02 10:44:21 EDT
*** Bug 448132 has been marked as a duplicate of this bug. ***
Comment 2 Will Woods 2008-06-21 10:59:08 EDT
*** Bug 447323 has been marked as a duplicate of this bug. ***
Comment 3 Markus Schade 2008-11-28 18:30:05 EST
After upgrading a F9 installation via DVD to F10, I was left with only the grub shell.I had selected to upgrade the bootloader in the installer.

After booting manually and executing grub-install, the menu was there again.
Comment 4 Bug Zapper 2009-06-09 20:47:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Markus Schade 2009-06-10 01:37:22 EDT
I just upgraded from Fedora 10 to 11 with the same result again. I used anaconda and let it update the bootloader. After the reboot I got only the grub-shell again. The fix was also to boot the rescue system and running grub-install again.

So could someone please change the version of this bug to Fedora 11?
Comment 6 Stephen Cuppett 2009-06-10 18:23:44 EDT
I can confirm this behavior too on upgrade using the "recommended" upgrade bootloader.  This is on the same machine as my initial report.  I did not have the recursive "grubgrubgrub" problem, but I did get the grub> prompt and had to grub-install from rescue.

Initial report drives updated, similar layout though:

/dev/sda - 1 TB
/dev/sda1 - ntfs - 499GB /mnt/windows/C
/dev/sda2 - ext3 - 100MB /boot
/dev/sdb - 1 TB
/dev/sdb1 - ext3 - 30GB /
/dev/sdb2 - LVM -  850GB /home
Comment 7 Simon Andrews 2009-06-26 06:49:57 EDT
I had a similar problem with 5 out of 7 of our machines.  I think the common link is the presence of a second disk in the machines which failed.

I found that if I opted to create a new bootloader configuration then by default anaconda tried to install grub into the MBR of /dev/sdb instead of /dev/sda which is my primary boot device.  Changing this manually to /dev/sda gave me a machine on which grub was correctly installed.

I'm guessing that in the case of updating the existing bootloader anaconda also picked the wrong device but didn't offer an option to change it so grub was installed to a disk which wasn't the boot device, hence the subsequent errors.

I'm not sure how anaconda works out which is the boot device, but I suspect that is where this bug originates.
Comment 8 Bug Zapper 2010-04-27 08:03:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 06:36:42 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.